# Отчёт по лабораторной работе №1

Выполнила: студентка гр. ИСЭбд-41 Лачугина Анастасия

## Разворачивание сервиса wordpress

Содержимое файла `docker-compose.yml`

```yml
version: '2'

services:

  wordpress:
    depends_on:
      - db
    image: wordpress #Образ контейнера из Docker Hub
    restart: always #постоянный перезапуск контейнера
    environment: #настройки контейнера
      WORDPRESS_DB_HOST: db:3306      
      WORDPRESS_DB_USER: admin
      WORDPRESS_DB_PASSWORD: admin
      WORDPRESS_DB_NAME: wordpress
    ports: #пробрасывается порт
      - 8082:80

  db:
    image: mysql #Образ контейнера из Docker Hub
    restart: always #постоянный перезапуск контейнера
    volumes: #том для хранения данных
      - ./database:/var/lib/mysql    

    environment: #настройки контейнера
      MYSQL_ROOT_PASSWORD: admin
      MYSQL_DATABASE: wordpress
      MYSQL_USER: admin
      MYSQL_PASSWORD: admin

volumes:
  wordpress:
  db:
```

Разворачивается командой `docker-compose up`

Убеждаемся, что всё работает:

![](wordpress1.jpg)

![](wordpress2.jpg)



## Разворачивание сервиса redmine

Содержимое файла `docker-compose.yml`

```yml
version: '3.1'

services:

  redmine:
    image: redmine #Образ контейнера из Docker Hub
    restart: always #постоянный перезапуск контейнера
    ports: #пробрасывается порт
      - 8080:3000
    environment: #настройки контейнера
      REDMINE_DB_MYSQL: db
      REDMINE_DB_PASSWORD: example
      REDMINE_SECRET_KEY_BASE: supersecretkey

  db:
    image: mysql:5.7 #Образ контейнера из Docker Hub
    restart: always #постоянный перезапуск контейнера
    environment: #настройки контейнера
      MYSQL_ROOT_PASSWORD: example
      MYSQL_DATABASE: redmine    
  ```

      

Разворачивается командой `docker-compose up`

Убеждаемся, что всё работает:     

![](redmine1.jpg)
![](redmine2.jpg)



## Разворачивание сервиса wordpress

Содержимое файла `docker-compose.yml`

```yml
version: '3.1'

services:

  drupal:
    image: drupal:8-apache
    ports:
      - 7777:80
    volumes:
      - /var/www/html/modules
      - /var/www/html/profiles
      - /var/www/html/themes
      - /var/www/html/sites
    restart: always

  postgres:
    image: postgres:10
    environment:
      POSTGRES_PASSWORD: example
    restart: always
  ```

Разворачивается командой `docker-compose up`

Убеждаемся, что всё работает:  

![](drupal1.jpg)
![](drupal2.jpg)
